/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1996, California Institute of Technology.  
// ALL RIGHTS RESERVED.   U.S. Government Sponsorship acknowledged. 
//
// Please read the full copyright notice in the file COPYRIGH 
// in this directory.
//
// Author: Todd Karakashian, NASA/Jet Propulsion Laboratory
//         Todd.K.Karakashian@jpl.nasa.gov
//
// $RCSfile: HDFList.cc,v $ - HDFList class implementation
//
// $Log: HDFList.cc,v $
// Revision 1.4  1999/05/06 03:23:34  jimg
// Merged changes from no-gnu branch
//
// Revision 1.3.20.1  1999/05/06 00:27:22  jimg
// Jakes String --> string changes
//
// Revision 1.3  1997/03/10 22:45:30  jimg
// Update for 2.12
//
// Revision 1.4  1996/11/21 23:20:27  todd
// Added error return value to read() mfunc.
//
// Revision 1.3  1996/09/24 20:53:26  todd
// Added copyright and header.
//
//
/////////////////////////////////////////////////////////////////////////////

#include "config_dap.h"
#include "HDFList.h"

HDFList::HDFList(const string &n, BaseType *v) : List(n,v) {}
HDFList::~HDFList() {}
BaseType *HDFList::ptr_duplicate() { return new HDFList(*this); }  
bool HDFList::read(const string &, int &err) { 
  set_read_p(true); err = -1; return true; 
}

List *NewList(const string &n, BaseType *v) { return new HDFList(n,v); }
